Put Group
This endpoint is responsible for updating a group. For more information, check the specification: https://tools.ietf.org/html/rfc7644#section-3.5.1.
The ID of the group
The VMware Identity Services tenant ID
my-tenant
Show optional properties
{
"displayName": "Example Group"
}
{
"displayName": "Example Group",
"members": [
{
"value": "42dc6b2c-4517-4e88-b1a7-79a1a1f88b5b",
"$ref": "https://example.com/v2/User/42dc6b2c-4517-4e88-b1a7-79a1a1f88b5b",
"display": "Example User"
}
],
"id": "string",
"schemas": [
"string"
],
"meta": {
"location": "string",
"lastModified": "string",
"version": "string",
"created": "string",
"resourceType": "string"
},
"externalId": "string"
}
A human-readable name for the group
A list of members of the group
The unique identifier of the SCIM resource
The SCIM resource schema URIs
The meta information of the resource
The SCIM resource external identifier
The group was successfully updated.
{
"displayName": "Example Group",
"members": [
{
"value": "42dc6b2c-4517-4e88-b1a7-79a1a1f88b5b",
"$ref": "https://example.com/v2/User/42dc6b2c-4517-4e88-b1a7-79a1a1f88b5b",
"display": "Example User"
}
],
"id": "string",
"schemas": [
"string"
],
"meta": {
"location": "string",
"lastModified": "string",
"version": "string",
"created": "string",
"resourceType": "string"
},
"externalId": "string"
}
The request contains invalid information.
The group was not found.
The specified version number does not match the resource's latest version number, or a service provider refused to create a new, duplicate resource.
Unexpected error.
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/scim+json' -d '{"displayName":"string"}' https://{api_host}/usergroup/t/{tenant}/scim/v2/Groups/{id}